FIX::Exception Struct Reference

Base QuickFIX exception type. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::Exception:
[legend]
Collaboration diagram for FIX::Exception:
[legend]

## Public Member Functions

| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

std::string | type
std::string | detail

## Detailed Description

Base QuickFIX exception type.

Definition at line 33 of file Exceptions.h.

## Constructor & Destructor Documentation

## Exception()

FIX::Exception::Exception | ( | const std::string & | t,
|  | const std::string & | d
| ) |  |

inline

Definition at line 35 of file Exceptions.h.

: std::logic_error( d.size() ? t + ": " + d : t ),
type( t ), detail( d )
{}
FIX::Exception::detail
std::string detail
Definition Exceptions.h:42
FIX::Exception::type
std::string type
Definition Exceptions.h:41

## ~Exception()

FIX::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 39 of file Exceptions.h.

{}

## Member Data Documentation

## detail

std::string FIX::Exception::detail

Definition at line 42 of file Exceptions.h.

Referenced by FIX::Message::validate().

## type

std::string FIX::Exception::type

Definition at line 41 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- Exceptions.h